Name:           perl-Algorithm-Diff-XS
Version:        0.04
Release:        1%{?dist}
Summary:        Algorithm::Diff with XS core loop
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Algorithm-Diff-XS/
Source0:        http://www.cpan.org/authors/id/A/AU/AUDREYT/Algorithm-Diff-XS-%{version}.tar.gz
# Build
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(ExtUtils::MM_Unix)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(lib)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
# Runtime
BuildRequires:  perl(Algorithm::Diff) >= 1.19
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader)
# Tests only
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Test)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(Algorithm::Diff) >= 1.19
Requires:       perl(XSLoader)

%global __requires_exclude ^perl\\(Algorithm::Diff\\)$

%description
Drop-in replacement to Algorithm::Diff, but "compact_diff" and "LCSidx"
will run much faster for large data sets.

%prep
%setup -q -n Algorithm-Diff-XS-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files

%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Algorithm*
%{_mandir}/man3/*

%changelog
* Thu Sep 24 2015 Petr Šabata <contyk@redhat.com> 0.04-1
- Initial packaging
